Message 63867

Author
2cadz
Date
2021-01-13.12:38:54
Message id
63867

Content

Tryton Version 5.9

To reproduce: On an new Tryton session, create a new sale, click on the 'payment' button, and in the new open view click on '+' to create a new payment:

Traceback (most recent call last):
  File "/trytond/model/model.py", line 290, in __getattr__
    return self._values[name]
TypeError: 'NoneType' object is not subscriptable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/trytond/wsgi.py", line 111, in dispatch_request
    return endpoint(request, **request.view_args)
  File "/trytond/protocols/dispatcher.py", line 48, in rpc
    request, database_name, *request.rpc_params)
  File "/trytond/wsgi.py", line 78, in auth_required
    return wrapped(*args, **kwargs)
  File "/trytond/protocols/wrappers.py", line 131, in wrapper
    return func(request, pool, *args, **kwargs)
  File "/trytond/protocols/dispatcher.py", line 186, in _dispatch
    result = rpc.result(meth(inst, *c_args, **c_kwargs))
  File "/trytond/model/modelview.py", line 88, in wrapper
    result = func(self, *args, **kwargs)
  File "/trytond/model/fields/field.py", line 118, in wrapper
    return func(self, *args, **kwargs)
  File "/trytond/modules/sale_payment/account.py", line 47, in on_change_origin
    self.party = sale.invoice_party or sale.party
  File "/trytond/model/modelstorage.py", line 1443, in __getattr__
    return super(ModelStorage, self).__getattr__(name)
  File "/trytond/model/model.py", line 293, in __getattr__
    % (self.__name__, name, self._values))
AttributeError: 'sale.sale' Model has no attribute 'invoice_party': None

Fault: 'sale.sale' Model has no attribute 'invoice_party': None
History
Date User Action Args
2021-01-13 12:38:542cadzsetmessageid: <1610537934.4448977.3A7C7AG2K57VX6NX.issue9992@tryton.org>
2021-01-13 12:38:542cadzlinkissue9992 messages
2021-01-13 12:38:542cadzcreate

Showing 10 items. Show all history (warning: this could be VERY long)